Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jts.common
Class Environment

    java.lang.Object
      com.arjuna.ats.jts.common.Environment

public class Environment
extends java.lang.Object

The various property values that may be specified at runtime to change the configuration and behaviour of the system.

Since:
  JTS 1.0.
Version:
  $Id: Environment.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static java.lang.String` | `ALWAYS_PROPAGATE_CONTEXT`
`static java.lang.String` | `CHECKED_TRANSACTIONS`
`static java.lang.String` | `CONTEXT_PROP_MODE`
`static java.lang.String` | `DEFAULT_TIMEOUT`
`static java.lang.String` | `INTERPOSITION`
`static java.lang.String` | `NEED_TRAN_CONTEXT`
`static java.lang.String` | `PROPAGATE_TERMINATOR`
`static java.lang.String` | `PROPERTIES_FILE`
`static java.lang.String` | `RECOVERY_MANAGER_PORT`
`static java.lang.String` | `SUPPORT_INTERPOSED_SYNCHRONIZATION`
`static java.lang.String` | `SUPPORT_ROLLBACK_SYNC`
`static java.lang.String` | `SUPPORT_SUBTRANSACTIONS`
`static java.lang.String` | `TRANSACTION_MANAGER`

Constructor Summary
`Environment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

See Also:
  Constant Field Values

### TRANSACTION_MANAGER

    public static final java.lang.String TRANSACTION_MANAGER

See Also:
  Constant Field Values

### NEED_TRAN_CONTEXT

    public static final java.lang.String NEED_TRAN_CONTEXT

See Also:
  Constant Field Values

### ALWAYS_PROPAGATE_CONTEXT

    public static final java.lang.String ALWAYS_PROPAGATE_CONTEXT

See Also:
  Constant Field Values

### INTERPOSITION

    public static final java.lang.String INTERPOSITION

See Also:
  Constant Field Values

### CHECKED_TRANSACTIONS

    public static final java.lang.String CHECKED_TRANSACTIONS

See Also:
  Constant Field Values

### SUPPORT_SUBTRANSACTIONS

    public static final java.lang.String SUPPORT_SUBTRANSACTIONS

See Also:
  Constant Field Values

### SUPPORT_ROLLBACK_SYNC

    public static final java.lang.String SUPPORT_ROLLBACK_SYNC

See Also:
  Constant Field Values

### SUPPORT_INTERPOSED_SYNCHRONIZATION

    public static final java.lang.String SUPPORT_INTERPOSED_SYNCHRONIZATION

See Also:
  Constant Field Values

### DEFAULT_TIMEOUT

    public static final java.lang.String DEFAULT_TIMEOUT

See Also:
  Constant Field Values

### PROPAGATE_TERMINATOR

    public static final java.lang.String PROPAGATE_TERMINATOR

See Also:
  Constant Field Values

### CONTEXT_PROP_MODE

    public static final java.lang.String CONTEXT_PROP_MODE

See Also:
  Constant Field Values

### RECOVERY_MANAGER_PORT

    public static final java.lang.String RECOVERY_MANAGER_PORT

See Also:
  Constant Field Values

Constructor Detail

### Environment

    public Environment()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD